org.keycloak.models.cache.infinispan.events

## Class UserFederationLinkUpdatedEvent

- java.lang.Object
- - org.keycloak.models.cache.infinispan.events.InvalidationEvent
  - - org.keycloak.models.cache.infinispan.events.UserFederationLinkUpdatedEvent

- All Implemented Interfaces:
    Serializable, ClusterEvent, UserCacheInvalidationEvent

      @SerializeWith(value=UserFederationLinkUpdatedEvent.ExternalizerImpl.class)
      public class UserFederationLinkUpdatedEvent
      extends InvalidationEvent
      implements UserCacheInvalidationEvent

  Author:
    Marek Posolda
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `UserFederationLinkUpdatedEvent.ExternalizerImpl`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserFederationLinkUpdatedEvent()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addInvalidations(UserCacheManager userCache, Set<String> invalidations)`
    `static UserFederationLinkUpdatedEvent` | `create(String userId)`
    `String` | `getId()`
    `String` | `toString()`

    - ### Methods inherited from class org.keycloak.models.cache.infinispan.events.InvalidationEvent

      `equals, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UserFederationLinkUpdatedEvent

          public UserFederationLinkUpdatedEvent()

  - ### Method Detail

    - #### create

          public static UserFederationLinkUpdatedEvent create(String userId)

    - #### getId

          public String getId()

      Specified by:
        `getId` in class `InvalidationEvent`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### addInvalidations

          public void addInvalidations(UserCacheManager userCache,
                                       Set<String> invalidations)

      Specified by:
        `addInvalidations` in interface `UserCacheInvalidationEvent`

Copyright © 2021 JBoss by Red Hat. All rights reserved.